(*=======================================================-*-tuareg-*-======
 *
 * MGS : a general model of systems
 *
 *    Olivier Michel      : michel@lami.univ-evry.fr
 *    Jean-Louis Giavitto : giavitto@lami.univ-evry.fr
 *    Antoine Spicher     : aspicher@lami.univ-evry.fr
 *    Julien Cohen        : jcohen@lami.univ-evry.fr
 *    Mailing-list        : mgs@lami.univ-evry.fr
 *    WWW                 : http://mgs.lami.univ-evry.fr
 *
 * LaMI umr 8042 du CNRS, Genopole (C), Universite d'Evry Val d'Essonne
 *
 *
 * -------------------------------------------------------------------
 * File: $RCSfile: kernel_ring.ml,v $
 * Symbolic name : $Name:  $
 * Author: OM, JLG
 * Modified: $Date: 2005-06-30 15:39:11 $
 * Version: $Revision: 1.2 $
 * -------------------------------------------------------------------
 *
 * Status: 
 *   voir aussi Common/kernel_collection.ml
 *   qui contient les fcts gnriques sur les collections et les monoidaux.
 *
 *=========================================================================
 *)

open Global;;
open Valeur;;
open Type;;
open Dispatch_sig;;
open Dispatch;;
open Environnement;;
open Ring;;


__register_version "$RCSfile: kernel_ring.ml,v $" "$Revision: 1.2 $" "$Date: 2005-06-30 15:39:11 $";;


print_string "(* loading kernel functions on RING into user-space ... ";
flush Pervasives.stdout;;



(*!*)



(**
  @module collections
  @name 'ringify
  @type collection_ring
  @type posgbf_ring
  @type scalar_ring

  Transform its argument into a ring.

  ['ringify(c)] returns the ring of the elements of the collection
  [c]. If [c] is already a ring, [ringify] is the identity.


*)
(* FIXME: a generer automatiquement *)
addenv_impure "'ringify" (fun_1 __ringify);;






(* --- fin de l'installation des fonctions de base --- *)

print_string "done *)";
print_newline();;

(* ======================================================= *)












