%{
open Outil
open StdLabels
open StdLabels.List


let liste_fonction =ref []
and liste_type = ref []
and type_retour = ref "";;



let decoupage chaine =
	let rec decoupe chaine longueur indice acc=
		if (indice<>longueur)
			then
				(*match chaine.[indice] with
					'_'->decoupe chaine longueur (indice+1) (""::acc)
					|_ as c->decoupe chaine longueur (indice+1) (((hd acc)^(Char.escaped c))::(tl acc))
			*)	match String.sub chaine indice 1 with
					"_"->decoupe chaine longueur (indice+1) (""::acc)
					|_ as c->decoupe chaine longueur (indice+1) (((hd acc)^(c))::(tl acc))
			else
				acc
	in
	let rec supprime_dernier l =
		match l with
		[]->[]
		|t::[]->[]
		|t::q->t::(supprime_dernier q)
	in
	supprime_dernier (decoupe chaine (String.length chaine) 0 []);;
					
		
let rajout_type liste =
	let rec parcourt l =
		match l with
		[]->()
		|t::q-> 
			if(not (mem t !liste_type))
			then liste_type:=t::(!liste_type);
			parcourt q;
	in
	parcourt liste;;
			
let rec verif_type liste =
		match liste with
		[]->[]
		|t::q when (compare t "rec")=0 ->"record"::(verif_type q)
		|t::q when t.[0]='\'' -> (String.sub t 1 ((String.length t)-1))::(verif_type q)
		|t::q -> t::(verif_type q);;

let rajout_fonction nom typ =
	let rec parcourt l n t=
		match l with
		[]->[{nom=n;typ=[t]}]
		|{nom=nn;typ=tt}::q when (compare nn n)=0->{nom=nn;typ=(t::tt)}::q
		|tt::q->tt::(parcourt q n t)
	in
	liste_fonction:=(parcourt !liste_fonction nom typ);;
		
	
%}

%token Fin Debut_type
%token <string> Nom Type
%start depart
%type <((string list) * (Outil.type_fonction list))> depart instr 
%%
depart :
	suite {(!liste_type,!liste_fonction)}	

suite :
	essai fonctions suite{}
	|Fin {}


fonctions :
        Nom Type fonctions {(*Printf.printf "+++++++ %s\n" $1;*)
                        let l = decoupage $2 in
			let ll= verif_type l in
                                rajout_type ll;
                                (*rajout_fonction $1 (ll@[!type_retour]);}*)
                                rajout_fonction $1 (rev((*(!type_retour)::*)ll));}
	| {}

essai :
        Debut_type Nom Debut_type {(*Printf.printf "@@@@@@ %s\n" $2;*)
					let s = hd (verif_type [$2]) in
					type_retour:=s;
					rajout_type [s];}
        | {}
