(*=======================================================-*-tuareg-*-======
 *
 * MGS : a general model of systems
 *
 *    Olivier Michel      : michel@lami.univ-evry.fr
 *    Jean-Louis Giavitto : giavitto@lami.univ-evry.fr
 *    Antoine Spicher     : aspicher@lami.univ-evry.fr
 *    Julien Cohen        : jcohen@lami.univ-evry.fr
 *    Mailing-list        : mgs@lami.univ-evry.fr
 *    WWW                 : http://mgs.lami.univ-evry.fr
 *
 * LaMI umr 8042 du CNRS, Genopole (C), Universite d'Evry Val d'Essonne
 *
 *
 * -------------------------------------------------------------------
 * File: $RCSfile: def_graph_generique.ml,v $
 * Symbolic name : $Name:  $
 * Author: OM, JLG
 * Modified: $Date: 2005-03-07 17:24:52 $
 * Version: $Revision: 1.1 $
 * -------------------------------------------------------------------
 *
 *
 *=========================================================================
 *)

Global.__register_version "$RCSfile: def_graph_generique.ml,v $" "$Revision: 1.1 $" "$Date: 2005-03-07 17:24:52 $";;

(* **************************** *)
(* Pour les graphes             *)
(* **************************** *)

type idx               = int
and sommets_voisins    = idx list
and sommets_alias      = (string, idx) Hash.t
and 'a grf_tab_element = ('a  * sommets_voisins)
and 'a graphe_element  = 'a array
and 'a tgraf           = sommets_alias * (('a grf_tab_element) graphe_element)
;;
